/* $Id$

This file is part of libmspdatafile
Copyright © 2006  Mikko Rasa, Mikkosoft Productions
Distributed under the LGPL
*/
#ifndef MSP_DATAFILE_INPUT_H_
#define MSP_DATAFILE_INPUT_H_

#include <msp/io/base.h>

namespace Msp {
namespace DataFile {

class Input
{   
private:
	IO::Base &in;
	unsigned line;
	int next;

public:
	Input(IO::Base &); 

	int get();
	int peek();
	unsigned get_line_number() const { return line; }
	operator bool() const;
};  

} // namespace DataFile
} // namespace Msp

#endif
